apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.service.selector}}
  labels:
    app: {{ .Values.service.selector}}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.service.selector}}
  template:
    metadata:
      labels:
        app: {{ .Values.service.selector}}
    spec:
      containers:
        - name: {{ .Values.service.selector}}
          image: {{ .Values.image.repository}}
          ports:
            - containerPort: {{ .Values.service.port}}
          env:
            - name: ME_CONFIG_BASICAUTH_USERNAME
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-express-username
            - name: ME_CONFIG_BASICAUTH_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-express-password
            - name: ME_CONFIG_MONGODB_ADMINUSERNAME
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-username
            - name: ME_CONFIG_MONGODB_ADMINPASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-password
            - name: ME_CONFIG_MONGODB_SERVER
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_url
